Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
/
{page_id}
/
sections
Admin List Sections
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "access_rule_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "meta": {},
        "model_id": "<string>",
        "model_type": "<string>",
        "page_id": "<string>",
        "position": 123,
        "settings": {},
        "title": "<string>",
        "type": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "visible": true
      },
      "id": "<string>",
      "type": "sections"
    }
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
page_id
string
required

Response

Successful Response

data
SectionResource · object[]
required
meta
Meta · object
required